(function($, owner) {
	/*
	 * 缓存本地用户
	 */
	owner.createUser = function(UserGuid, LoginName, UName, md5password, TenantID) {
		var user = owner.getUser();
		user.UserGuid = UserGuid;
		user.LoginName = LoginName;
		user.UName = UName;
		user.md5password = md5password;
		user.TenantID = TenantID;
		owner.setUser(user);

	};

	/*
	 * 缓存token
	 */
	owner.createState = function(token) {
		var state = owner.getState();
		state.token = token;
		owner.setState(state);
	};

	/**
	 * 设置当前用户
	 **/
	owner.setUser = function(user) {
		localStorage.removeItem('$user');
		user = user || {};
		localStorage.setItem('$user', JSON.stringify(user));
	};

	/**
	 * 获取当前用户
	 **/
	owner.getUser = function() {
		var usersText = localStorage.getItem('$user') || "{}";
		return JSON.parse(usersText);
	};

	/**
	 * 设置当前状态
	 **/
	owner.setState = function(state) {
		localStorage.removeItem('$state');
		state = state || {};
		localStorage.setItem('$state', JSON.stringify(state));
	};

	/**
	 * 获取当前状态
	 **/
	owner.getState = function() {
		var stateText = localStorage.getItem('$state') || "{}";
		return JSON.parse(stateText);
	};

	/*
	 * 设置远程调用地址
	 */
	owner.setRemoteURL2 = function(remoteURL2) {
		localStorage.removeItem('$remoteURL2');
		remoteURL2 = remoteURL2 || {};
		localStorage.setItem('$remoteURL2', JSON.stringify(remoteURL2));

	}

	/*
	 * 获取远程调用地址
	 */
	owner.getRemoteURL2 = function() {
		var urlText2 = localStorage.getItem('$remoteURL2') || "{}";
		if(urlText2 == "{}") {
			urlText2 = "{\"RemoteURL2\":\"" + config.ServerUrlSSL + "\"}";
			owner.setRemoteURL2(JSON.parse(urlText2));
		}
		return JSON.parse(urlText2);
	}

	/*
	 * 设置远程调用地址	
	 */
	owner.setRemoteURL = function(remoteURL) {
		localStorage.removeItem('$remoteURL');
		remoteURL = remoteURL || {};
		localStorage.setItem('$remoteURL', JSON.stringify(remoteURL));
	}

	/*
	 * 获取远程调用地址
	 */
	owner.getRemoteURL = function() {
		var urlText = localStorage.getItem('$remoteURL') || "{}";
		if(urlText == "{}") {
			urlText = "{\"RemoteURL\":\"" + config.ServerUrl + "\"}";
			owner.setRemoteURL(JSON.parse(urlText));
		}

		return JSON.parse(urlText);
	}

	/*
	 * 调用接口获取数据方法（带token、deviceid）
	 */
	owner.getInterfaceUrl = function(interfaceName, methodName) {
		var token = app.getState().token;
		var url = owner.getRemoteURL().RemoteURL + interfaceName + '?method=' + methodName + '&token=' + token + '&deviceid=' + plus.device.uuid;
		return url;
	}

	/*
	 * 调用接口获取数据方法SSL（带token、deviceid）
	 */
	owner.getInterfaceUrlSSL = function(interfaceName, methodName) {
		var token = app.getState().token;
		var url = owner.getRemoteURL2().RemoteURL2 + interfaceName + '?method=' + methodName + '&token=' + token + '&deviceid=' + plus.device.uuid;
		return url;
	}
}(mui, window.app = {}));

function toThousands(num) {
	if(num == undefined) {
		return 0;
	}
	
	 else if(num.length < 4)
	 {
	 	return num;
	 }
	else {
		var num = (num || 0).toString(),
			result = '';
		while(num.length > 3) {
			result = ',' + num.slice(-3) + result;
			num = num.slice(0, num.length - 3);
		}
		if(num) {
			result = num + result;
		}
		return result;
	}
}