var MyApp = {
	testMyApp: function() {
	},
	/**
	 * @description屏幕适配，且返回比例
	 * @return{Number}比例
	 */
	change_screen_zoom: function() {
		//	var f_screenWidth = plus.screen.resolutionWidth;
		var f_screenWidth = document.body.clientWidth;

		if (mui.os.ios) {
			if (f_screenWidth >= 300 && f_screenWidth < 350) { //5,5s=320
				var f_zoom = 1;
			} else if (f_screenWidth >= 350 && f_screenWidth <= 390) { //6,6s=375
				var f_zoom = 1.06;
			} else if (f_screenWidth >= 390 && f_screenWidth <= 435) { //6,6s=414
				var f_zoom = 1.12;
			} else {
				var f_zoom = f_screenWidth / 320;
			}
		} else {
			if (f_screenWidth >= 300 && f_screenWidth < 340) {
				var f_zoom = 0.93;
			} else if (f_screenWidth >= 340 && f_screenWidth < 380) {
				var f_zoom = 1;
			} else if (f_screenWidth >= 380 && f_screenWidth <= 420) {
				var f_zoom = 1.06;
			} else if (f_screenWidth >= 420 && f_screenWidth <= 460) {
				var f_zoom = 1.12;
			} else {
				var f_zoom = f_screenWidth / 360;
			}
		}
		document.body.style.zoom = f_zoom;
		return f_zoom;
	}

};



/**
 * MyApp.operateWebview
 * webview部分
 * 
 */
(function(mui, MyApp) {

	MyApp.operateWebview = {};
	MyApp.operateWebview.RIGHT_TO_LEFT = "slide-in-right";
	MyApp.operateWebview.OUT_RIGHT_TO_LEFT = 'slide-out-right';
	MyApp.operateWebview.BOTTOM_TO_TOP = "slide-in-bottom";
	MyApp.operateWebview.NONE_ANI = "none";
	MyApp.operateWebview.POP_IN = "pop-in";


	/**
	 * @description 创建并稍延迟300ms显示webview页面
	 * @param {URIString} f_url 想打开的页面的标识
	 * @param {JSON} f_extras 传递的参数，再打开的页面可以接收参数
	 * @param {String} f_anishow=[MyApp.operateWebview.NONE_ANI|MyApp.operateWebview.RIGHT_TO_LEFT|MyApp.operateWebview.BOTTOM_TO_TOP|MyApp.operateWebview.POP_IN] 显示webview的转场动画,去掉引号，是全局变量
	 * @example
	 * var wb_extras = JSOND对象;create_and_show_webview("parttimejob.html", wb_extras, MyApp.operateWebview.RIGHT_TO_LEFT);
	 */
	MyApp.operateWebview.create_and_show_webview = function(f_url, f_extras, f_anishow) {
		var f_create = plus.webview.create(f_url, f_url, {
			scrollIndicator: 'none'
		}, f_extras);
		setTimeout(function() {
			plus.webview.show(f_create, f_anishow); // 显示窗口
		}, 300);
	};

}(mui, MyApp));


/**
 * MyApp.operateImage
 * 图片处理部分
 * 涉及operateTime，operateWebview
 * 
 */
(function(MyApp, document) {

	MyApp.operateImage = {};

	MyApp.operateImage.COMPRESS_IMAGE_LIMIT = 120000; //图片压缩的限制大小
	MyApp.operateImage.PHOTO_INDEX = 0; //第几个图片计数


	/**
	 * @description 拍照添加文件
	 * @param {Number} f_index:容器是第几个
	 */
	MyApp.operateImage.camera_img = function(f_index) {

		plus.camera.getCamera().captureImage(function(path) {
			plus.io.resolveLocalFileSystemURL(path, function(entry) {
				var f_ex = {
					option: {
						index: f_index,
						path: entry.toLocalURL(),
						name: MyApp.operateTime.get_time_stamp() + '.jpg'
					}
				}
				MyApp.operateWebview.create_and_show_webview("operateimage.html", f_ex, MyApp.operateWebview.RIGHT_TO_LEFT);
			}, function(e) {
				console.log("读取拍照文件错误：" + e.message);
			});
		}, function(e) {
			console.log("取消拍照");
		}, {
			filename: "_doc/camera/",
			index: 1
		});
	};

	/**
	 * @description 从相册中选择图片
	 * @param {Number}f_index: 容器是第几个
	 */
	MyApp.operateImage.gallery_img = function(f_index) {
				console.log(f_index);
		plus.gallery.pick(function(path) {
			var f_ex = {
				option: {
					index: f_index,
					path: path,
					name: MyApp.operateTime.get_time_stamp() + '.jpg'
				}
			}
			MyApp.operateWebview.create_and_show_webview("operateimage.html", f_ex, MyApp.operateWebview.RIGHT_TO_LEFT);
		}, function(e) {
			console.log("取消选择图片");
		}, {
			filter: "image"
		});
	};

	/**
	 * @description 压缩图片,0成功/文件不需要压缩，1获取相片错误，2压缩图片失败
	 * @param {JSON} f_option_operate 参数含有path,dst,index
	 * @param {Function} f_compress_callback 压缩完成后回调函数
	 */
	MyApp.operateImage.compress_image = function(f_option_compress, f_compress_callback) {
		var uuidName = f_option_compress.dst;
		var f_dst = '_documents/' + uuidName;
		plus.io.resolveLocalFileSystemURL(f_option_compress.path, function(entry) {
			// 可通过entry对象操作test.html文件 
			entry.file(function(file) {
				console.log('压缩中--压缩前大小:' + file.size.toString() + '--名字:' + file.name + '--保存路径:' + f_dst);
				if (file.size > MyApp.operateImage.COMPRESS_IMAGE_LIMIT) {
					plus.zip.compressImage({
							src: f_option_compress.path,
							dst: f_dst,
							quality: Math.round(MyApp.operateImage.COMPRESS_IMAGE_LIMIT / file.size * 100),
							overwrite: true,
							format: 'jpg',
							width: '100%',
							height: 'auto'
						},
						function(i) {
							//保存到相册，可以到相册查看裁剪的图片
							plus.gallery.save(f_dst);
							console.log(Math.round(MyApp.operateImage.COMPRESS_IMAGE_LIMIT / file.size * 100));
							var f_ret = {
								code: 0,
								data: i,
								index: f_option_compress.index,
								name: f_option_compress.dst
							};
							console.log("压缩图片成功：" + JSON.stringify(f_ret));
							f_compress_callback(f_ret);
						},
						function(e) {
							console.log("压缩图片失败: " + JSON.stringify(e));
							var f_ret = {
								code: 2
							};
							f_compress_callback(f_ret);
						});
				} else {
					plus.gallery.save(f_dst);
					var f_ret = {
						code: 0,
						data: {
							target: f_option_compress.path
						},
						index: f_option_compress.index,
						name: f_option_compress.dst
					};
					console.log("压缩不需要压缩：" + JSON.stringify(f_ret));
					f_compress_callback(f_ret);
				}
			});
		}, function(e) {
			console.log("获取相片错误：" + e.message);
			var f_ret = {
				code: 1
			};
			f_compress_callback(f_ret);
		});
	};

	/**
	 * @description 处理图片,0成功/文件不需要压缩，1获取相片错误，2压缩图片失败，按缩放、旋转、裁剪顺序进行操作
	 * @param {JSON} f_option_operate 参数含有path,dst,index,rotate,clip
	 * @param {Function} f_operate_callback 压缩完成后回调函数
	 */
	MyApp.operateImage.operate_image = function(f_option_operate, f_operate_callback) {
		var f_dst = '_documents/' + f_option_operate.dst;
		plus.io.resolveLocalFileSystemURL(f_option_operate.path, function(entry) {
			// 可通过entry对象操作test.html文件 
			entry.file(function(file) {
				console.log('尺寸方向处理中--本图片原大小:' + file.size.toString() + '--名字:' + file.name + '--保存路径:' + f_dst);
				plus.zip.compressImage({
						src: f_option_operate.path,
						dst: f_dst,
						quality: 95,
						overwrite: true,
						format: 'jpg',
						width: f_option_operate.width,
						height: f_option_operate.height,
						rotate: f_option_operate.rotate,
						clip: {
							top: f_option_operate.clip.top,
							left: f_option_operate.clip.left,
							width: f_option_operate.clip.width,
							height: f_option_operate.clip.height
						}
					},
					function(i) {
						//保存到相册查看
						plus.gallery.save(f_dst);
						var f_ret = {
							code: 0,
							data: i,
							index: f_option_operate.index,
							name: f_option_operate.dst,
							rotate: f_option_operate.rotate,
							clip: f_option_operate.clip
						};
						
						console.log("尺寸方向处理成功：" + JSON.stringify(f_ret));
						f_operate_callback(f_ret);

					},
					function(e) {
						console.log("尺寸方向处理失败: " + JSON.stringify(e));
						var f_ret = {
							code: 2
						};
						f_operate_callback(f_ret);
					});
			});
		}, function(e) {
			console.log("获取相片错误：" + e.message);
			var f_ret = {
				code: 1
			};
			f_operate_callback(f_ret);
		});
	};



}(MyApp, document));







/**
 * MyApp.operateTime
 * 时间部分
 */
(function(MyApp) {
	MyApp.operateTime = {};

	/**
	 * @description 获取时间戳返回 如20151024204645
	 * @return{String}返回 如20151024204645
	 */
	MyApp.operateTime.get_time_stamp = function() {
		var f_Date = new Date();
		var f_year = (f_Date.getFullYear()).toString();
		var f_month = (f_Date.getMonth() + 1).toString();
		f_month = f_month.length < 2 ? '0' + f_month : f_month;
		var f_day = (f_Date.getDate()).toString();
		f_day = f_day.length < 2 ? '0' + f_day : f_day;
		var f_hour = (f_Date.getHours()).toString();
		f_hour = f_hour.length < 2 ? '0' + f_hour : f_hour;
		var f_minute = (f_Date.getMinutes()).toString();
		f_minute = f_minute.length < 2 ? '0' + f_minute : f_minute;
		var f_second = (f_Date.getSeconds()).toString();
		f_second = f_second.length < 2 ? '0' + f_second : f_second;
		var f_result = f_year + f_month + f_day + f_hour + f_minute + f_second;
		return f_result;
	};

}(MyApp));