mui.init();
var shares = null;
var Material = [];
mui.plusReady(function() {
	updateSerivces();
	GetMaterial();
})

/**
 * 更新分享服务
 */
function updateSerivces() {
	plus.share.getServices(function(s) {
		shares = {};
		for(var i in s) {
			var t = s[i];
			shares[t.id] = t;
		}
	}, function(e) {
		console.log("获取分享服务列表失败：" + e.message);
	});
}

function GetMaterial() {
	var surl = config.ServerUrl + "BidAssistant/CA/Info_Data.ashx";

	var data = {
		Method: "GetMaterial",
		CityCode: localStorage["CityCode"]
	};
	mui.ajax(surl, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			if(data) {
				var html = '';
				for(var i = 0; i < data.message.length; i++) {
					html += '<div class="mui-input-row mui-radio mui-left">';
					html += '<label>' + data.message[i].FileName + '</label>';
					html += '<input name="radio" value="' + data.message[i].FileName + '" VirtualPath = "' + data.message[i].VirtualPath + '" type="radio">';
					html += '</div>';
				}
				document.getElementById("listForm").innerHTML = html;
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log(errorThrown);
		}
	});
}

document.getElementById("sub_btn").addEventListener('tap', function() {
	var value = $("input[type='radio']:checked").val();
	if(value == undefined){
		mui.toast("请先选择材料再点击分享");
		return false;
	}
	var VirtualPath = config.ServerUrl + $("input[type='radio']:checked").attr("VirtualPath");

	var txt = '下载';
	var cont = value;
	var hrf = VirtualPath;
	shareHref(txt, cont, hrf);

	//	var boxes = document.getElementsByTagName("input");
	//	for(i = 0; i < boxes.length; i++) {
	//		if(boxes[i].name == "checkbox" && boxes[i].checked == true) {
	//			var txt = '下载';
	//			var cont = '内容';
//				var hrf = config.ServerUrl + boxes[i].getAttribute("VirtualPath");
	//			shareHref(txt, cont, hrf);
	//		}
	//	}

})

/*
 * 分享连接
 */
shareHref = function shareHref(titleStr, contentStr, hrefStr) {
	title = titleStr;
	text = contentStr;
	href = hrefStr;
	shareHrefDemo();
}

// 分享链接
function shareHrefDemo() {
	var shareBts = [];
	// 更新分享列表
	var ss = shares['weixin'];
	ss && ss.nativeClient && (shareBts.push({
			title: '微信朋友圈',
			s: ss,
			x: 'WXSceneTimeline'
		}),
		shareBts.push({
			title: '微信好友',
			s: ss,
			x: 'WXSceneSession'
		}));
	ss = shares['qq'];
	ss && ss.nativeClient && shareBts.push({
		title: 'QQ',
		s: ss
	});
	// 弹出分享列表
	shareBts.length > 0 ? plus.nativeUI.actionSheet({
		title: '分享链接',
		cancel: '取消',
		buttons: shareBts
	}, function(e) {
		(e.index > 0) && shareAction(shareBts[e.index - 1], 'h');
	}) : plus.nativeUI.alert('当前环境无法支持分享链接操作!');
}

function shareText(txtContent) {
	text = txtContent;
	shareShow('t');
}

// 打开分享
function shareShow(type) {
	var shareBts = [];
	// 更新分享列表
	var ss = shares['weixin'];
	if(navigator.userAgent.indexOf('StreamApp') < 0 && navigator.userAgent.indexOf('qihoo') < 0) { //在360流应用中微信不支持分享图片
		ss && ss.nativeClient && (shareBts.push({
				title: '微信朋友圈',
				s: ss,
				x: 'WXSceneTimeline'
			}),
			shareBts.push({
				title: '微信好友',
				s: ss,
				x: 'WXSceneSession'
			}));
	}
	ss = shares['qq'];
	ss && ss.nativeClient && shareBts.push({
		title: 'QQ',
		s: ss
	});
	//	if(type != 't') {
	//		ss = shares['qq'];
	//		ss && ss.nativeClient && shareBts.push({
	//			title: 'QQ',
	//			s: ss
	//		});
	//	}
	// 弹出分享列表
	shareBts.length > 0 ? plus.nativeUI.actionSheet({
		title: '分享',
		cancel: '取消',
		buttons: shareBts
	}, function(e) {
		(e.index > 0) && shareAction(shareBts[e.index - 1], type);
	}) : plus.nativeUI.alert('当前环境无法支持分享操作!');
}

/**
 * 分享操作
 * @param {JSON} sb 分享操作对象s.s为分享通道对象(plus.share.ShareService)
 * @param {Boolean} bh 是否分享链接
 */
function shareAction(sb, bh) {
	console.log("分享操作：");
	if(!sb || !sb.s) {
		console.log("无效的分享服务！");
		return;
	}
	var msg = {
		content: text,
		extra: {
			scene: sb.x
		}
	};
	if(bh == 'h') {
		msg.href = href;
		if(title && title != "") {
			msg.title = title;
		}
		if(text && text != "") {
			msg.content = text;
		}
		msg.thumbs = ["../../img/splash/logo.png"];
		msg.pictures = ["../../img/splash/logo.png"];
	} else {
		//			msg.pictures = [document.getElementById(imgID).getAttribute('realUrl')];
		//			msg.pictures = ["_www/logo.png"];
		msg.content = text;
	}
	// 发送分享
	if(sb.s.authenticated) {
		console.log("---已授权---");
		shareMessage(msg, sb.s);
	} else {
		console.log("---未授权---");
		sb.s.authorize(function() {
			shareMessage(msg, sb.s);
		}, function(e) {
			console.log("认证授权失败：" + e.code + " - " + e.message);
		});
	}
}

/**
 * 发送分享消息
 * @param {JSON} msg
 * @param {plus.share.ShareService} s
 */
function shareMessage(msg, s) {
	console.log(JSON.stringify(msg));
	s.send(msg, function() {
		console.log("分享到\"" + s.description + "\"成功！ ");
		//		callbackName();
	}, function(e) {
		console.log("分享到\"" + s.description + "\"失败: " + JSON.stringify(e));
	});
}