var page = 1;
var size = 15;
var hasMore = true;

var Material_Array = [];

mui.init({
	swipeBack: false, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
			contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
			contentdown: '',
			callback: loadMore //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		}
	}
});

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	document.getElementById("ul_list").innerHTML = '';
	Zepto("#noMore").hide();
	hasMore = true;
	page = 1;
	BindGrid(page, size);

}

/**
 * 上拉加载具体业务实现
 */
function loadMore() {
	if(hasMore) {
		page++;
		BindGrid(page, size);
	} else {
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
	}
}

mui.plusReady(function() {
	BindGrid(page, size);
})

function BindGrid(page, size) {
	var surl = config.ServerUrl + "BidAssistant/CA/Apply_Data.ashx";

	var data = {
		Method: "BindGrid",
		tbName: localStorage["dname"],
		PageIndex: page,
		PageSize: size
	};
	mui.ajax(surl, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			if(data) {
				var html = '';
				for(var i = 0; i < data.message.length; i++) {
					var Material = JSON.parse(data.message[i].Material);
					Material_Array.push(Material);
					html += '<li class="mui-table-view-cell news_list" index = "' + i + '" Remark="' + checkValue(data.message[i].Remark) + '" UnitGuid="' + data.message[i].UnitGuid + '" Status="' + data.message[i].Status + '" AddDate="' + data.message[i].AddDate + '" Tel="' + data.message[i].Tel + '" LoginName="' + data.message[i].LoginName + '">';
					html += '<p><span class="mui-ellipsis news_tit">' + data.message[i].AddDate + '</span></p>';
					html += '<p><span class="newsLeft">' + data.message[i].Status + '</span></p>';
					html += '</li>';
				}
				document.getElementById("ul_list").innerHTML += html;
			}

			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			mui('#pullrefresh').pullRefresh().refresh(true);
			var totalnum = Number(data.RecordTotalNum);
			var nownum = Number(page) * Number(size);
			if(nownum >= totalnum) {
				Zepto("#noMore").hide();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				hasMore = false;
			} else {
				Zepto("#noMore").show();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log(errorThrown);
		}
	});
}

mui("#ul_list").on("tap", "li", function() {
	var index = this.getAttribute("index");
	var UnitGuid = this.getAttribute("UnitGuid");
	var AddDate = this.getAttribute("AddDate");
	var Tel = this.getAttribute("Tel");
	var Material = Material_Array[index];
	var LoginName = this.getAttribute("LoginName");
	var Remark = this.getAttribute("Remark");
	var Status = this.getAttribute("Status");

	mui.openWindow({
		url: 'news_detail_page.html',
		id: 'news_detail_page.html',
		extras: {
			UnitGuid: UnitGuid,
			AddDate: AddDate,
			Tel: Tel,
			Material: Material,
			LoginName: LoginName,
			Remark: Remark,
			Status: Status
		}
	})
})

function checkValue(value) {
	if(value) {
		return value;
	} else {
		return '';
	}
}