var page = 0;
var size = 15;
var hasMore = true;

mui.init({
	swipeBack: false, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
			contentnomore: '', //可选，请求完毕若没有更多数据时显示的提醒内容；
			contentdown: '',
			callback: loadMore //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		}
	}
});

mui.plusReady(function() {
	//makeHtml(0, size, true);
})

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	
	if(Zepto("#search").val().trim() == "") {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
		return;
	}
	Zepto("#showMore").hide();
	hasMore = true;
	page = 1;
	makeHtml(page, size, true);
	
 
}

/**
 * 上拉加载具体业务实现
 */
function loadMore() {
	if(Zepto("#search").val().trim() == ""){
		 
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
	}
	else{
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
		if(hasMore) {
		page++;
		makeHtml(page, size, false);
	} else {
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
	}
	}
	
}
//加载数据
function makeHtml(page, size, ifcleardata) {
	if(ifcleardata) {
		Zepto('#content').html("");
	}
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		Method: 'GetLawList',
		token: app.getState().token,
		device_id: plus.device.uuid,
		QuestionName: Zepto("#search").val(),
		PageIndex: page,
		PageSize: size
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			if(response.message.length != 0) {
				document.getElementById("img1").style.display = 'none';
			}
			var dvcontent = Zepto('#content');
			for(var i = 0; i < response.message.length; i++) {
				var li = document.createElement('li');
				li.id = response.message[i].UnitGuid;
				li.name = response.message[i].QuestionName;
				li.className = 'mui-table-view-cell';
				li.innerHTML = '<a class="mui-navigate-right mui-ellipsis">' +
					response.message[i].QuestionName +
					'</a>';
				li.addEventListener('tap', function() {
					mui.openWindow({
						url: 'faLvFaGuiDetail.html',
						id: 'faLvFaGuiDetail.html',
						extras: {
							UnitGuid: this.id,
							QuestionName: this.name
						}
					});
				});
				dvcontent.append(li);
			}
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			mui('#pullrefresh').pullRefresh().refresh(true);
			var totalnum = Number(response.RecordTotalNum);
			var nownum = Number(page) * Number(size);
			if(nownum >= totalnum) {
				Zepto("#showMore").html('没有更多数据了');
				Zepto("#showMore").show();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				hasMore = false;
				
			} else {
			    Zepto("#showMore").html('上拉显示更多');
				Zepto("#showMore").show();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
			}
		},
		error: function(xhr, type, errorThrown) {
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
		}
	});
}

function SelectFLFG() {
	pulldownRefresh();

}