var page = 0;
var size = 10;
var hasMore = true;
mui.init({
	swipeBack: false, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
			contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
			contentdown: '',
			callback: loadMore //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		}
	}
});

if(mui.os.plus) {
	mui.plusReady(function() {

		setTimeout(function() {

			mui('#pullrefresh').pullRefresh().pullupLoading();
		}, 1);

	});
} else {
	mui.ready(function() {

		mui('#pullrefresh').pullRefresh().pullupLoading();
	});
}

window.addEventListener('refresh',function(){
	makeHtml(page, size, true);
})

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	Zepto("#typename").val("");
	Zepto("#showMore").hide();
	hasMore = true;
	page = 1;
	makeHtml(page, size, true);

}

/**
 * 上拉加载具体业务实现
 */
function loadMore() {

	if(hasMore) {

		page++;
		makeHtml(page, size, false);
	} else {

		mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
	}

}

function SearchInfo() {

	pulldownRefresh();
}

//加载数据
function makeHtml(page, size, ifcleardata) {
	if(ifcleardata) {
		Zepto('#ulcontent').html("");
	}
	var url = config.ServerUrl + "BidAssistant/OrderForm/Order_Data.ashx";

	var data = {
		Method: "BindGrid",
		PageIndex: page,
		PageSize: size
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(response) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
//						console.log(JSON.stringify(response));
			try {

				var dvcontent = Zepto('#ulcontent');

				for(var i = 0; i < response.message.length; i++) {

					var li = document.createElement('li');
					li.id = response.message[i].UnitGuid;
					li.setAttribute('status', response.message[i].caseStatus);
					li.className = 'mui-table-view-cell li_pos';
					li.innerHTML = '<span class="spanTitle">' + response.message[i].Content + '</span>' + '金额:' + response.message[i].Money +
						'元<span class="spanTime">' + response.message[i].AddDate + '</span>';
					if(response.message[i].caseStatus) {
						li.innerHTML += '<img class="yfk_icon" src="../../img/icon/yfk.png" />'
					} else {
						li.innerHTML += '<img class="yfk_icon" src="../../img/icon/wfk.png" />'
					}

					dvcontent.append(li);
				}

			} catch(e) {
				console.log(e.message)
			}
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			mui('#pullrefresh').pullRefresh().refresh(true);
			var totalnum = Number(response.RecordTotalNum);
			var nownum = Number(page) * Number(size);
			if(nownum >= totalnum) {
				Zepto("#showMore").hide();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				hasMore = false;
			} else {
				Zepto("#showMore").show();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
			}

		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log(errorThrown);
			mui.toast("充值列表读取失败！");
		}
	});
}

mui('#ulcontent').on('tap', 'li', function() {
	if(this.getAttribute('status') == 'undefined') {
		mui.openWindow({
			url: "kaiTongVIP.html",
			id: "kaiTongVIP.html",
			show: {
				autoShow: true,
				aniShow: 'pop-in'
			},
			waiting: {
				autoShow: true,
				title: "正在加载..."
			},
			extras: {
				UnitGuid: this.id
			}
		});
	}
	else{
		mui.toast('该订单已支付');
	}

})