mui.init();
//右滑关闭
mui.plusReady(function() {
	function validator(passVal1) {
		if(passVal1.length < 6 || passVal1.length > 18) {
			return false;
		}
		var regexp = /(?!^(\d+|[a-zA-Z]+|[~!@#$%^&*?]+)$)^[\w~!@#$%\^&*?]+$/;
		if(!(regexp.test(passVal1))) {
			return false;
		}
		return true;
	}

	document.getElementById("save").addEventListener('tap', function() {
		var oldpwd = document.getElementById("oldpwd").value;
		var pwd = document.getElementById("newpwd").value;
		var pwd2 = document.getElementById("newpwd2").value;
		var msg = "";
		if(oldpwd == "") {
			msg += "原密码为空！\r\n";
		}
		if(pwd == "") {
			msg += "新密码为空！\r\n";
		} else if(!validator(pwd)) {
			msg += "新密码格式应为6-18位,含字母和数字!\n";
		}
		if(pwd2 == "") {
			msg += "确认密码为空！\r\n";
		}
		if(oldpwd != "" && pwd != "" && oldpwd == pwd) {
			msg += "新旧密码一致！\r\n";
		}
		if(pwd != "" && pwd2 != "" && pwd != pwd2) {
			msg += "确认密码不一致！\r\n";
		}
		if(msg != "") {
			mui.toast(msg.substring(0, msg.length - 2));
			return;
		}
		var user = app.getUser();
		var url = config.ServerUrl + "AppService/App_Data.ashx";
		var md5password = md5(user.LoginName + "|" + oldpwd);
		var md5password2 = md5(user.LoginName + "|" + pwd);
		var data = {
			token: app.getState().token,
			device_id: plus.device.uuid,
			method: "updatePWD",
			oldpwd: md5password,
			newpwd: md5password2
		}
		mui.ajax(url, {
			data: data,
			dataType: "json",
			type: 'post', //HTTP请求类型
			timeout: 20000, //超时时间设置为10秒；
			success: function(data) {
				//服务器返回响应，根据响应结果，分析是否登录成功；s
				if(data.message == "密码修改成功") {
					mui.toast("密码修改成功，请重新登录");
					clearSession();
					localStorage["skipLogin"] = "no";
					plus.webview.open("../../login.html", "login.html", "", "slide-in-left", "10");
				} else {
					mui.toast(data.message);
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				if(type == "timeout") {
					mui.toast("网络繁忙！");
					return;
				}
				console.log("错误代码：" + xhr.status)
				console.log("服务器返回内容：" + xhr.responseText);
				mui.toast("读取失败！");
			}
		});
	});

	function clearSession() {
		var data = {
			Method: 'Logout',
			token: app.getState().token,
			device_id: plus.device.uuid
		};
		var url = config.ServerUrl + "XD.Login/token.ashx";
		mui.ajax(url, {
			data: data,
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
			},
			error: function(xhr, type, errorThrown) {

			}
		});
	}
});