var page = 0;
var size = 15;
var hasMore = true;

mui.init({
	swipeBack: false, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
			contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
			contentdown: '',
			callback: loadMore //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		}
	}
});



if(mui.os.plus) {
	mui.plusReady(function() {

		setTimeout(function() {

			mui('#pullrefresh').pullRefresh().pullupLoading();
		}, 1);

	});
} else {
	mui.ready(function() {

		mui('#pullrefresh').pullRefresh().pullupLoading();
	});
}

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
    
	Zepto("#showMore").hide();
	hasMore = true;
	page = 1;
	makeHtml(page, size, true);

}

/**
 * 上拉加载具体业务实现
 */
function loadMore() {
	if(hasMore) {
		page++;
		makeHtml(page, size, false);
	} else {
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
	}
}
//加载数据
function makeHtml(page, size, ifcleardata) {
	if(ifcleardata) {
		Zepto("#ulList").html("");
	}
	var url = config.ServerUrl + 'BidAssistant/Notice/Notice_Data.ashx';
	var data = {
		Method: 'Bind_APP',
		token: app.getState().token,
		device_id: plus.device.uuid,
		IsApp: '1',
		tbName: document.getElementById("search1").value,
		PageIndex: page,
		PageSize: size
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			var dvcontent = Zepto('#ulList');
			for(var i = 0; i < response.message.length; i++) {
				var AddDate = response.message[i].AddDate.toString().replace('T', ' ');
				var li = "";
				if(response.message[i].Visited == "0") {
					//未访问过
					li = '<li id="' + response.message[i].UnitGuid + '" class="mui-table-view-cell">';
					li += '<a class="mui-navigate-right mui-slider-handle"><span  class="round">●</span>';
					li += '<span class="mui-ellipsis liTitle2">' + response.message[i].Title + '</span>';
					li += '<span class="fl">发布人：' + response.message[i].UName + '</span>';
					li += '<span class="fr">' + AddDate + '</span>';
					li += '</a></li>';
				} else {
					//已访问
					li = '<li id="' + response.message[i].UnitGuid + '" class="mui-table-view-cell">';
					li += '<a class="mui-navigate-right mui-slider-handle">';
					li += '<span class="mui-ellipsis liTitle">' + response.message[i].Title + '</span>';
					li += '<span class="fl">发布人：' + response.message[i].UName + '</span>';
					li += '<span class="fr">' + AddDate + '</span>';
					li += '</a></li>';
				}
				document.getElementById("ulList").innerHTML += li;

			}
			
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			mui('#pullrefresh').pullRefresh().refresh(true);
			var totalnum = Number(response.RecordTotalNum);
			var nownum = Number(page) * Number(size);
			if(nownum >= totalnum) {
				Zepto("#showMore").hide();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				hasMore = false;
			} else {
				Zepto("#showMore").show();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
			}
		},
		error: function(xhr, type, errorThrown) {
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
		}
	});
}
mui('#ulList').on('tap', 'li', function() {
    var NoticeGuid=this.getAttribute('id');
    if(Zepto(this).children().children().eq(1).hasClass('liTitle2')){
        //未读的公告
    	isVisited(NoticeGuid, this);
    }
	else{
		//已读的公告
		mui.openWindow({
			url: 'gongGao_detail.html',
			id: 'gongGao_detail.html',
			extras: {
				UnitID:NoticeGuid
			}
		})
	}
})

function isVisited(NoticeGuid, li) {

	var url = config.ServerUrl + 'BidAssistant/Notice/NoticeGold_Data.ashx';
	var data = {
		Method: 'SaveNoticeVisit',
		token: app.getState().token,
		device_id: plus.device.uuid,
		NoticeGuid: NoticeGuid
	};
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.message == 'ok') {
				if(Zepto(li).children().children().eq(0).hasClass('round') && Zepto(li).children().children().eq(1).hasClass('liTitle2')) {
					Zepto(li).children().children().eq(0).hide();
					Zepto(li).children().children().eq(1).removeClass('liTitle2');
					Zepto(li).children().children().eq(1).addClass('liTitle');
				}
				mui.fire(plus.webview.getWebviewById("indexPage.html"), "refreshNotVisitNum", {});
				mui.fire(plus.webview.getWebviewById("index_sub.html"), "refreshNotVisitNum", {});
				mui.openWindow({
					url: 'gongGao_detail.html',
					id: 'gongGao_detail.html',
					extras: {
						UnitID: NoticeGuid
					}
				})
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络错误');
			console.log(errorThrown);
		}
	});
}

function SelectBytbName() {
	pulldownRefresh();
}

window.addEventListener('refreshVisit',function(){
	pulldownRefresh();
})