var page = 0;
var size = 10;
var hasMore = true;

mui.init({
	swipeBack: false, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
			contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
			contentdown: '',
			callback: loadMore //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		}
	}
});

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {

	Zepto("#showMore").hide();
	hasMore = true;
	page = 1;
	makeHtml(page, size, true);

}

/**
 * 上拉加载具体业务实现
 */
function loadMore() {

	if(hasMore) {

		page++;
		makeHtml(page, size, false);
	} else {

		mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
	}
	//				plus.nativeUI.closeWaiting();
}

function GetListByName() {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var ProjectManagerName = "";
	if(Zepto("#search").val() != undefined && Zepto("#search").val() != "") {
		ProjectManagerName = Zepto("#search").val();
	} else {
		ProjectManagerName = plus.webview.currentWebview().opener().ProjectManagerName;
	}
	var data = {
		Method: 'GetProjectManagerList',
		token: app.getState().token,
		device_id: plus.device.uuid,
		ProjectManagerName: ProjectManagerName,
		PageIndex: page,
		PageSize: size
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			mui.fire(plus.webview.currentWebview().opener(), 'GetTotalNum', {
				totalnum: response.RecordTotalNum
			});
			var dvcontent = Zepto('#content');
			for(var i = 0; i < response.message.length; i++) {
				var CompanyName = response.message[i].CompanyName == undefined ? "" : response.message[i].CompanyName;
				var li = document.createElement('li');
				li.id = response.message[i].CompanyGuid;
				li.qymc = response.message[i].CompanyName;
				li.Guid = response.message[i].UnitGuid;
				li.name = response.message[i].ProjectManagerName;
				li.className = 'mui-table-view-cell';
				li.innerHTML = '<a class="mui-navigate-right">' +
					'<span class="spanName">' + response.message[i].ProjectManagerName + '</span>' +
					'<span class="comName">' + CompanyName + '</span>' +
					'</a>';
				li.addEventListener('tap', function() {
					mui.openWindow({
						url: 'jianZaoShiXiangQing_main.html',
						id: 'jianZaoShiXiangQing_main.html',
						extras: {
							UnitGuid: this.id,
							PName: this.name,
							PGuid: this.Guid,
							CompanyName: this.qymc
						}
					});
				});
				dvcontent.append(li);
			}
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			mui('#pullrefresh').pullRefresh().refresh(true);
			var totalnum = Number(response.RecordTotalNum);
			var nownum = Number(page) * Number(size);
			if(nownum >= totalnum) {
				Zepto("#showMore").hide();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				hasMore = false;
			} else {
				Zepto("#showMore").show();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
			}
		},
		error: function(xhr, type, errorThrown) {
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
		}
	});
}

//加载数据
function makeHtml(page, size, ifcleardata) {
	if(ifcleardata) {
		Zepto('#content').html("");
	}

	GetListByName();

}

if(mui.os.plus) {
	mui.plusReady(function() {

		setTimeout(function() {

			mui('#pullrefresh').pullRefresh().pullupLoading();
		}, 1);

	});
} else {
	mui.ready(function() {

		mui('#pullrefresh').pullRefresh().pullupLoading();
	});
}

function SelectJZS() {
	pulldownRefresh();
}