mui.init({
	swipeBack: true,
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh,
			contentdown: ''
		}
	}
});
var page = 1;
var hasMore = true;
var table = document.body.querySelector('.ullist');
var self;
var isVIP = 'false';
mui.plusReady(function() {
	table.innerHTML = "";
	drawHtml(1, 15);
})

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	hasMore = false;
	page = 1;
	setTimeout(function() {
		table.innerHTML = "";
		drawHtml(1, 15);
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		document.getElementById("noMore").innerText = "上拉显示更多";
	}, 1000);
}
/**
 * 上拉加载具体业务实现
 */

function pullupRefresh() {
	setTimeout(function() {
		if(hasMore == true)
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
		else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh();
			document.getElementById("noMore").innerText = "没有更多数据了";
		}
		drawHtml(++page, 15);
	}, 1000);
}

//根据公司名称获取列表
function drawHtml(index, size) {
	plus.nativeUI.showWaiting("等待中...");
	var cells = document.body.querySelectorAll('.mui-table-view-cell');
	var Par_token = app.getState().token;
	var Par_deviceid = plus.device.uuid;
	var tbName = document.getElementById("tbName").value.trim();
	var BeginBidDate = document.getElementById("spanfromdatetime").innerText.trim();
	var data = {
		method: 'GetHisBidPrj',
		PageIndex: index,
		PageSize: size,
		token: Par_token,
		device_id: Par_deviceid,
		tbName: tbName,
		BeginBidDate: BeginBidDate
	};
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.post(url, data, function(response) {
		var n1 = response.RecordTotalNum;

		var max = 0;
		if(n1 % size == 0)
			max = n1 / size;
		else
			max = n1 / size + 1;
		if(((index + 1) > max) || (n1 / size == 0)) { //判断有没有更多数据

			hasMore = false;
			document.getElementById("noMore").innerText = "没有更多数据了";
			mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
		} else {
			hasMore = true;
			mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
		}

		for(var i = 0; i < response.message.length; i++) {
			var li = '<li class="mui-table-view-cell" id="' + response.message[i].UnitGuid + '">';
			li += '<a class="mui-navigate-right mui-ellipsis">';
			li += '<span class="liTitle mui-ellipsis">' + response.message[i].ProjectName + '</span>';
			li += '<span class="bianhaoNum">标段编号：' + response.message[i].BidNo + '</span><br />';
			li += '<span class="liTime">开标时间：' + new Date(response.message[i].BeginBidDate).Format('yyyy-MM-dd') + '</span>';
			li += '</a></li>';
			document.getElementById("ulList").innerHTML += li;
		}
		var msg = "";
		if(tbName != "") {
			msg += "根据项目名称/标段编号查询历史开标记录：" + document.getElementById("tbName").value.trim() + "；";
		}
		if(BeginBidDate != "") {
			msg += "根据开标日期查询历史开标记录：" + document.getElementById("spanfromdatetime").innerText.trim() + "；";
		}

		VisitInfo('历史开标记录', msg);
		plus.nativeUI.closeWaiting();
	});
	setTimeout(function() {
		plus.nativeUI.closeWaiting();
	}, 15000);
}

function getAllModuleParam() {

}
/*
 * 打开详情页面
 */
mui(".ullist").on('tap', '.mui-table-view-cell', function() {
	var UnitGuid = this.getAttribute("id");

	plus.nativeUI.showWaiting('获取配置中...');
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		ModelName: '历史开标',
		AreaName: localStorage["city"],
		Method: "GetAllModuleParam"
	};
	var url = config.ServerUrl + "BidAssistant/GoldCoin/GoldCoin_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data) {
				console.log(JSON.stringify(data));
				if(data.message.ParaContent) {
					var content = JSON.parse(data.message.ParaContent);
					coin = content.Money;
					startdate = content.FreeStartDate;
					enddate = content.FreeEndDate;
				}
				if(data.message.isVIP) {
					//					console.log("VIPss:"+data.message.isVIP);
					isVIP = eval(data.message.isVIP);
				}
				console.log("VIPss:" + data.message.isVIP + ";")
				console.log(isVIP == true);
				if(localStorage["isFree"] == 'true' || isVIP == true || localStorage["isHuoDong"] == "true") {
					mui.openWindow({
						url: 'liShiKaiBiaoDetail.html',
						id: 'liShiKaiBiaoDetail.html',
						extras: {
							UnitGuid: UnitGuid
						}
					});
					return;
				}
				if(parseInt(localStorage["coinnum"]) - 50 <= 0) {
					mui.toast("火币余额不足，请充值");
					mui.openWindow('../gouMaiJinBi/gouMaiJinBi.html', 'gouMaiJinBi');
					return;
				}
				var bts = ["确定", "取消"];
				plus.nativeUI.confirm("查询将花费50枚火币，当前火币余额" + toThousands(localStorage["coinnum"]) + "枚，请确认是否查询。", function(e) {
					if(bts[e.index] == "确定") {
						GoldCoinConsumer("查询历史开标记录");
						mui.openWindow({
							url: 'liShiKaiBiaoDetail.html',
							id: 'liShiKaiBiaoDetail.html',
							extras: {
								UnitGuid: UnitGuid
							}
						});

					}
				}, "提示", bts);

				plus.nativeUI.closeWaiting();

			}
			plus.nativeUI.closeWaiting();

		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
		}
	});

	//	mui.openWindow({
	//		url: 'liShiKaiBiaoDetail.html',
	//		id: 'liShiKaiBiaoDetail.html',
	//		styles: {
	//			width: '100%',
	//			height: '100%'
	//		}, //窗口参数
	//		show: {
	//			autoShow: true,
	//			aniShow: 'pop-in'
	//		},
	//		waiting: {
	//			autoShow: true,
	//			title: "正在加载..."
	//		},
	//		extras: {
	//			UnitGuid: UnitGuid
	//		}
	//	})
})

//日期选择

var lidates = mui('.lidate');
lidates.each(function(i, lidate) {
	lidate.addEventListener('tap', function() {
		mui('#pullrefresh').pullRefresh().setStopped(true);
		var nowYear = new Date().getFullYear();
		var optionsJson = '{"type":"date","beginYear":' + (nowYear - 2) + ',"endYear":' + (nowYear + 1) + '}';
		var options = JSON.parse(optionsJson);
		var id = this.getAttribute('name');
		var picker = new mui.DtPicker(options);
		picker.show(function(rs) {
			var ids = id + 1;
			document.getElementById(id).innerText = rs.text;
			picker.dispose();
			mui('#pullrefresh').pullRefresh().setStopped(false);
		});
	}, false);
});

document.getElementById("btnSelect").addEventListener("tap", function() {
	var msg = "";
	if(document.getElementById("tbName").value.trim() != "") {
		msg += "根据项目名称/标段编号查询历史开标记录：" + document.getElementById("tbName").value.trim() + "；";
	}
	if(document.getElementById("spanfromdatetime").innerText.trim() != "") {
		msg += "根据开标日期查询历史开标记录：" + document.getElementById("spanfromdatetime").innerText.trim() + "；";
	}

	VisitInfo('历史开标记录', msg);
	pulldownRefresh();
})

document.getElementById("cleardv").addEventListener("tap", function() {
	document.getElementById("tbName").value = "";
	document.getElementById("spanfromdatetime").innerText = "";

})

function GoldCoinConsumer(ConsumerContent) {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GoldCoinConsumer",
		GoldCoin: 50,
		ConsumerContent: ConsumerContent
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {

				if(data.message[0].GoldCoin != undefined) {
					localStorage["coinnum"] = parseInt(localStorage["coinnum"]) + parseInt(data.message[0].GoldCoin);
					if(mui.os.android || localStorage["isFree"] != 'true')
						mui.toast("消费" + Math.abs(data.message[0].GoldCoin) + "枚火币");
					mui.fire(plus.webview.getWebviewById("html/gouMaiJinBi/jinBi.html"), "refreshjinbi", {});
				}

			} catch(e) {
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}