var page = 0;
var size = 15;
var hasMore = true;
var idArray = new Array();
mui.init({
	swipeBack: false, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
			callback: loadMore //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		}
	}
});

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {

	//Zepto("#showMore").hide();
	hasMore = true;
	page = 1;
	makeHtml(page, size, true);

}

/**
 * 上拉加载具体业务实现
 */
function loadMore() {

	if(hasMore) {

		page++;
		makeHtml(page, size, false);
	} else {

		mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
	}
	//				plus.nativeUI.closeWaiting();
}
var timejs;
//加载数据
function makeHtml(page, size, ifcleardata) {
	if(timejs != undefined) {
		window.clearInterval(timejs);
	}
	if(ifcleardata) {
		Zepto('#content').html("");
	}

	var url = config.ServerUrl + "AppService/App_Data.ashx";

	var data = {
		Method: 'GetBidPrj',
		token: app.getState().token,
		device_id: plus.device.uuid,
		PageIndex: page,
		PageSize: size

	};

	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			if(response.message.length == 0)
				document.getElementById("img1").style.display = 'block';
				else
				document.getElementById("img1").style.display = 'none';
			var dvcontent = Zepto('#content');

			idArray = [];
			for(var i = 0; i < response.message.length; i++) {

				var BeginBidDatestr = response.message[i].YBeginBidDate.replace(/-/g, '/') + " " + response.message[i].BeginBidTime.replace(/时/g, ':').replace(/分/g, '');
				var EndTime = new Date(BeginBidDatestr);
				var NowTime = new Date();
				var t = EndTime.getTime() - NowTime.getTime();
				var leftsecond = parseInt(t / 1000).toString();
				var ul = document.createElement('ul');
				ul.id = response.message[i].BidGuid;
				ul.className = 'mui-table-view-chevron ulList';
				ul.innerHTML = '<li class="liTitle">' + response.message[i].ProjectName + '</li>' +
					'<li>' +
					'	<span class="spanTitle">标段名称 :</span>' +
					'<span class="spanTxt">' + response.message[i].BidName + '</span>' +
					'</li>' +
					'<li>' +
					'<span class="spanTitle">标段编号 :</span>' +
					'<span class="spanTxt">' + response.message[i].BidNo + '</span>' +
					'</li>' +
					'<li>' +
					'<span class="spanTitle">招标人 :</span>' +
					'<span class="spanTxt">' + response.message[i].TendereeName + '</span>' +
					'</li>' +
					'<li>' +
					'<span class="spanTitle">招标代理机构 :</span>' +
					'<span class="spanTxt">' + response.message[i].BidAgencyName + '</span>' +
					'</li>' +

					'<li>' +
					'<span class="spanTitle">开标时间 :</span>' +
					'<span class="spanTxt green">' + response.message[i].BeginBidTime + '</span>' +
					'</li>' +
					'<li>' +
					'<span class="spanTitle">开标倒计时：</span>' +
					'<span class="spanTxt red1" id="js_' + response.message[i].UnitGuid + '" ls="' + leftsecond + '"></span>' +
					'</li>';

				dvcontent.append(ul);
				var id = 'js_' + response.message[i].UnitGuid;
				idArray[i] = {
					id: id
				};
			}
			timejs = setInterval(function() {

				for(var i = 0; i < idArray.length; i++) {
					var leftsecond = parseInt(document.getElementById(idArray[i].id).getAttribute('ls')) - 1;
					document.getElementById(idArray[i].id).setAttribute('ls', leftsecond.toString());
					var day1 = Math.floor(leftsecond / (60 * 60 * 24));
					var h = Math.floor((leftsecond - day1 * 24 * 60 * 60) / 3600);
					var m = Math.floor((leftsecond - day1 * 24 * 60 * 60 - h * 3600) / 60);
					var s = Math.floor(leftsecond - day1 * 24 * 60 * 60 - h * 3600 - m * 60);
					h = h < 10 ? '0' + h : h;
					m = m < 10 ? '0' + m : m;
					s = s < 10 ? '0' + s : s;

					document.getElementById(idArray[i].id).innerText = h + ':' + m + ':' + s;
				}
			}, 1000);

			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			mui('#pullrefresh').pullRefresh().refresh(true);
			var totalnum = Number(response.RecordTotalNum);
			var nownum = Number(page) * Number(size);
			if(nownum >= totalnum) {

				//				Zepto("#showMore").hide();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				hasMore = false;
			} else {

				//				Zepto("#showMore").show();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
			}
		},
		error: function(xhr, type, errorThrown) {
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);

		}
	});

}

if(mui.os.plus) {
	mui.plusReady(function() {

		setTimeout(function() {

			mui('#pullrefresh').pullRefresh().pullupLoading();
		}, 1);

	});
} else {
	mui.ready(function() {

		mui('#pullrefresh').pullRefresh().pullupLoading();
	});
}

function SelectZB() {

	pulldownRefresh();
}