mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh,
			contentdown: ''
		}
	}
});

var page = 1;
var hasMore = true;
var table = document.body.querySelector('.mui-table-view');
var self;
var method;

mui.plusReady(function() {
	self = plus.webview.currentWebview().parent();
	method = self.method;
	table.innerHTML = "";
	drawHtmlByName(1, 15, self.CompanyName);

})

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	hasMore = true;
	page = 1;
	setTimeout(function() {
		table.innerHTML = "";

		drawHtmlByName(1, 15, self.CompanyName);
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		document.getElementById("noMore").innerText = "上拉显示更多";
	}, 500);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		if(hasMore == true)
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
		else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh();
			document.getElementById("noMore").innerText = "没有更多数据了";
		}

		drawHtmlByName(++page, 15, self.CompanyName);

	}, 500);
}

//根据公司名称获取列表
function drawHtmlByName(index, size, keyword) {
	plus.nativeUI.showWaiting("等待中...");
	var cells = document.body.querySelectorAll('.mui-table-view-cell');
	var Par_token = app.getState().token;
	var Par_deviceid = plus.device.uuid;
	var data = {
		method: 'GetCompanyList',
		CompanyName: keyword,
		PageIndex: index,
		PageSize: size,
		token: Par_token,
		device_id: Par_deviceid
	};
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.post(url, data, function(response) {
		mui.fire(plus.webview.currentWebview().opener(), 'GetTotalNum', {
			totalnum: response.RecordTotalNum
		});
		var n1 = response.RecordTotalNum;

		var max = 0;
		if(n1 % size == 0)
			max = n1 / size;
		else
			max = n1 / size + 1;
		if(((index + 1) > max) || (n1 / size == 0)) { //判断有没有更多数据

			hasMore = false;
			document.getElementById("noMore").innerText = "没有更多数据了";
			mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
		} else {
			hasMore = true;
			mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
		}
		//		if(response.message != 'nodata') {
		for(var i = 0; i < response.message.length; i++) {
			var li = '<li class="mui-table-view-cell" id="' + response.message[i].UnitGuid + '">';
			li += '<a class="mui-navigate-right mui-slider-handle">';
			li += '<span class="liTitle">' + response.message[i].CompanyName + '</span>';
			li += '</a></li>';
			table.innerHTML += li;
		}
		//		}
		plus.nativeUI.closeWaiting();
	});
	setTimeout(function() {
		plus.nativeUI.closeWaiting();
	}, 15000);
}

/*
 * 打开详情页面
 */
mui(".mui-table-view").on('tap', '.mui-table-view-cell', function() {
	var unitId = this.getAttribute("id");
	mui.openWindow({
		url: 'chaXunJieGuo_main.html',
		id: 'chaXunJieGuo_main.html',
		styles: {
			width: '100%',
			height: '100%'
		}, //窗口参数
		show: {
			autoShow: true,
			aniShow: 'pop-in'
		},
		waiting: {
			autoShow: true,
			title: "正在加载..."
		},
		extras: {
			unitId: unitId
		}
	})
})