mui.init({
	pullRefresh: {
		container: "#pullrefresh", //下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
		down: {
			height: 50, //可选,默认50.触发下拉刷新拖动距离,
			auto: false, //可选,默认false.首次加载自动下拉刷新一次
			contentdown: "下拉可以刷新", //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
			contentover: "释放立即刷新", //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
			contentrefresh: "正在刷新...", //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
			callback: pullfresh //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		},
		up: {
			contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
			contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
			contentdown: '',
			callback: loadMore //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		}
	}
})
mui.plusReady(function() {
	//	console.log("123");
		pullfresh();
})
var page = 0;
var size = 15;
var hasMore = true;
//下拉刷新
function pullfresh() {
	//	console.log("321");
	Zepto("#showMore").hide();
	hasMore = true;
	page = 1;
	makeHtml(page, true);
}
/*
 * 上拉加载具体业务实现
 */
function loadMore() {
	if(hasMore) {
		page++;
		makeHtml(page, false);
	} else {
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
	}
}


function SelectBytbName() {
	pullfresh();
}

//加载数据
function makeHtml(page, ifcleardata) {
	if(ifcleardata) {
		Zepto("#ulList").html("");
	}
	var url = config.ServerUrl + 'AppService/App_Data.ashx';
	var begindate = getNowFormatDate();
	//	console.log(begindate);
	var data = {
		Method: 'GetBulletin',
		token: app.getState().token,
		device_id: plus.device.uuid,
		begindate: '1',
		tbName: document.getElementById("search1").value,
		PageIndex: page,
		PageSize: size
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
//			console.log("ss:" + JSON.stringify(response));
			var dvcontent = Zepto('#ulList');
			var li = "";
			for(var i = 0; i < response.message.length; i++) {
				li = '<li id="' + response.message[i].UnitGuid + '" class="mui-table-view-cell">';
				li += '<a class="mui-navigate-right mui-slider-handle">';
				li += '<span class="mui-ellipsis liTitle">' + response.message[i].ProjectName + '</span>';
				li += '<span class="fl mui-ellipsis">标段：' + response.message[i].BidName + '</span>';
				li += '<span class="fl">公告发布日期：' + response.message[i].NoticeStartDate + '</span>';
				li += '</a></li>';
				document.getElementById("ulList").innerHTML += li;
			}
//			console.log(li);
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			mui('#pullrefresh').pullRefresh().refresh(true);
			var totalnum = Number(response.RecordTotalNum);
			var nownum = Number(page) * Number(size);
			if(nownum >= totalnum) {
				Zepto("#showMore").hide();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				hasMore = false;
			} else {
				Zepto("#showMore").show();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
			}
		},
		error: function(xhr, type, errorThrown) {
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
		}
	});
}
mui('#ulList').on('tap', 'li', function() {
	var NoticeGuid = this.getAttribute('id');
	console.log("NoticeGuid:"+NoticeGuid);
	mui.openWindow({
		url: 'ZBGG_detail.html',
		id: 'ZBGG_detail.html',
		extras: {
			UnitID: NoticeGuid
		}
	})
})

function getNowFormatDate() {
	var date = new Date();
	var seperator1 = "-";
	var year = date.getFullYear();
	var month = date.getMonth() + 1;
	var strDate = date.getDate();
	if(month >= 1 && month <= 9) {
		month = "0" + month;
	}
	if(strDate >= 0 && strDate <= 9) {
		strDate = "0" + strDate;
	}
	var currentdate = year + seperator1 + month + seperator1 + strDate;
	return currentdate;
}