var page = 0;
var size = 10;
var hasMore = true;

mui.init({
	swipeBack: false, //启用右滑关闭功能
	gestureConfig: {
		doubletap: true
	},
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
			contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
			contentdown: '',
			callback: loadMore //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		}
	}
});

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	Zepto("#showMore").hide();
	hasMore = true;
	page = 1;
	makeHtml(page, size, true);
}

/**
 * 上拉加载具体业务实现
 */
function loadMore() {
	if(Zepto("#selectName").val().trim() == "" && Zepto("#spanfromdatetime").text().trim() == "") {
		mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
		return;
	} else {
		mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
	}
	if(hasMore) {

		page++;
		makeHtml(page, size, false);
	} else {

		mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
	}
	//				plus.nativeUI.closeWaiting();
}
//加载数据
function makeHtml(page, size, ifcleardata) {
	if(ifcleardata) {
		Zepto('#content').html("");
	}
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var tbName = Zepto("#selectName").val().trim();
	var BeginBidDate = tbName == "" ? document.getElementById("spanfromdatetime").innerText : "";
	var data = {
		Method: 'BindGrid',
		PageIndex: page,
		PageSize: size,
		tbName: tbName,
		BeginBidDate: BeginBidDate,
		IsFinish: 0
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			var dvcontent = Zepto('#content');
			var str = "";
			if(response.message.length > 0) {

				document.getElementById("xiangmutitle").className = "xiangmutitleshow";
				for(var i = 0; i < response.message.length; i++) {
					var PrjStatus = "未开标";
					var PrjCss = "green";
					var canChange = "1";
					if(response.message[i].IsFinish == 1) {
						canChange = "0";
						PrjStatus = "已开标";
						PrjCss = "orange";
					}

					var li = document.createElement('li');
					li.id = response.message[i].UnitGuid;
					li.name = PrjStatus;
					li.setAttribute('canChange', canChange);
					li.className = "mui-table-view-cell";

					li.innerHTML = '<a class="mui-navigate-right"><div class="spanTitle">项目名称 :</div>' +
						'<div class="spanTxt mui-ellipsis">' + response.message[i].ProjectName + '</div>' +
						'<div class="spanTitle">标段编号 :</div>' +
						'<div class="spanTxt  mui-ellipsis"><span class="span_bd">' + response.message[i].BidNo + '</span ><span class="span_yuce">预测</span></div>' +
						'<div class="spanTitle">标段名称 :</div>' +
						'<div class="spanTxt mui-ellipsis">' + response.message[i].BidName + '</div>' +
						'<div class="spanTitle">项目状态 :</div>' +
						'<div class="spanTxt mui-ellipsis ' + PrjCss + '">' + PrjStatus + '</div></a>';

					li.addEventListener('tap', function() {
						mui.openWindow({
							url: 'jiaGeYuCePage.html',
							id: 'jiaGeYuCePage.html',
							extras: {
								UnitGuid: this.id,
								PrjStatus: this.name,
								CanChange: this.getAttribute('canChange')
							}
						});
					});
					dvcontent.append(li);
				}
			} else {
				document.getElementById("xiangmutitle").className = "xiangmutitlenone";

			}

			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			mui('#pullrefresh').pullRefresh().refresh(true);
			var totalnum = Number(response.RecordTotalNum);
			var nownum = Number(page) * Number(size);
			if(nownum >= totalnum) {

				Zepto("#showMore").hide();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				hasMore = false;
			} else {

				Zepto("#showMore").show();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
			}
		},
		error: function(xhr, type, errorThrown) {
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);

		}
	});

}
document.getElementById("btnSelect").addEventListener("tap", function() {

	if(Zepto("#selectName").val().trim() != "" || Zepto("#spanfromdatetime").text().trim() != "") {
		var msg = "";
		if(Zepto("#selectName").val().trim() != "") {
			msg += "根据项目名称/标段编号查询项目：" + Zepto("#selectName").val().trim() + "；";
		}
		if(Zepto("#spanfromdatetime").text().trim() != "") {

			msg += "根据开标日期查询项目：" + Zepto("#spanfromdatetime").text().trim() + "；";
		}
		VisitInfo('中标价格预测', msg);
		pulldownRefresh();
		mui('#pullrefresh').pullRefresh().enablePullupToRefresh();

	} else {
		mui.toast("请输入搜索条件");
	}

})

if(mui.os.plus) {
	mui.plusReady(function() {
		var dd = new Date();
		var month = (parseInt(new Date().getMonth()) + 1) < 10 ? '0' + (parseInt(new Date().getMonth()) + 1) : (parseInt(new Date().getMonth()) + 1);
		var day = new Date().getDate() < 10 ? '0' + new Date().getDate() : new Date().getDate();
		var today = new Date().getFullYear() + '-' + month + '-' + day;

		document.getElementById("spanfromdatetime").innerText = today;
		setTimeout(function() {

			mui('#pullrefresh').pullRefresh().pullupLoading();
		}, 1);

	});
} else {
	mui.ready(function() {

		mui('#pullrefresh').pullRefresh().pullupLoading();
	});
}

//日期选择
(function($) {
	$.init();
	var lidates = $('.lidate');
	lidates.each(function(i, lidate) {
		lidate.addEventListener('tap', function() {
			mui('#pullrefresh').pullRefresh().setStopped(true);
			var nowYear = new Date().getFullYear();
			var optionsJson = '{"type":"date","beginYear":' + (nowYear - 2) + ',"endYear":' + (nowYear + 1) + '}';
			var options = JSON.parse(optionsJson);
			var id = this.getAttribute('name');
			var picker = new $.DtPicker(options);
			picker.show(function(rs) {
				var ids = id + 1;
				document.getElementById(id).innerText = rs.text;
				picker.dispose();
				mui('#pullrefresh').pullRefresh().setStopped(false);
			});
		
		}, false);
	});

})(mui);

document.getElementById("cleardv").addEventListener('tap', function() {

	document.getElementById("selectName").value = "";
	document.getElementById("spanfromdatetime").innerText = "";
})
document.getElementById("clearDate").addEventListener('tap', function() {
	document.getElementById("spanfromdatetime").innerText = "";
})