mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh,
			contentdown: ''
		}
	}
});

var page = 1;
var hasMore = true;
var table = document.body.querySelector('.mui-table-view');
var self;
var method;

mui.plusReady(function() {
	self = plus.webview.currentWebview().parent();
	method = self.method;
	table.innerHTML = "";
	if(method == "getListByName") {
		drawHtmlByName(1, 15, self.CompanyName);
	} else if(method == "getListByZyzz") {
		drawHtmlByOthers1(1, 15);
	} else {
		drawHtmlByOthers2(1, 15);
	}
})

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	hasMore = true;
	page = 1;
	setTimeout(function() {
		table.innerHTML = "";
		if(method == "getListByName") {
			drawHtmlByName(1, 15, self.CompanyName);
		} else if(method == "getListByZyzz") {
			drawHtmlByOthers1(1, 15);
		} else {
			drawHtmlByOthers2(1, 15);
		}
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		document.getElementById("noMore").innerText = "上拉显示更多";
	}, 500);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {

	setTimeout(function() {
		if(hasMore == true) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);

		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			document.getElementById("noMore").innerText = "没有更多数据了";
		}
		if(method == "getListByName")
			drawHtmlByName(++page, 15, self.CompanyName);
		else if(method == "getListByZyzz") {
			drawHtmlByOthers1(++page, 15);
		} else {
			drawHtmlByOthers2(++page, 15);
		}
	}, 500);
}

//根据公司名称获取列表
function drawHtmlByName(index, size, keyword) {

	plus.nativeUI.showWaiting("等待中...");
	var cells = document.body.querySelectorAll('.mui-table-view-cell');
	var Par_token = app.getState().token;
	var Par_deviceid = plus.device.uuid;
	var data = {
		method: 'GetCompanyList',
		CompanyName: keyword,
		PageIndex: page,
		PageSize: size,
		token: Par_token,
		device_id: Par_deviceid
	};
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {

			//			if(response.isnext == '0') { //判断有没有更多数据
			//				hasMore = false;
			//				document.getElementById("noMore").innerText = "没有更多数据了";
			//			} else
			//				hasMore = true;
			var n1 = response.RecordTotalNum;

			var max = 0;
			if(n1 % size == 0)
				max = n1 / size;
			else
				max = n1 / size + 1;
			if(((index + 1) > max) || (n1 / size == 0)) { //判断有没有更多数据

				hasMore = false;
				document.getElementById("noMore").innerText = "没有更多数据了";

			} else {
				hasMore = true;

			}

			for(var i = 0; i < response.message.length; i++) {
				var li = '<li id="' + response.message[i].UnitGuid + '" name="' + response.message[i].CompanyName + '">';
				li += '<a>';
				li += response.message[i].CompanyName;
				li += '</a></li>';
				table.innerHTML += li;
			}

			//			}
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络错误");
			console.log(errorThrown);
			plus.nativeUI.closeWaiting();
		}
	});
}

//根据主营资质获取列表
function drawHtmlByOthers1(index, size) {
//	alert(hasMore);
	plus.nativeUI.showWaiting("等待中...");
	var cells = document.body.querySelectorAll('.mui-table-view-cell');
	var Par_token = app.getState().token;
	var Par_deviceid = plus.device.uuid;
	var data = {
		method: 'GetCompanyListByCredentialsZX',
		CredentialsName: self.CredentialsName,
		CredentialsLevel: self.CredentialsLevel,
		Yema: index,
		num: size,
		token: Par_token,
		device_id: Par_deviceid
	};
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			if(response.isnext == '0') { //判断有没有更多数据
				hasMore = false;
				document.getElementById("noMore").innerText = "没有更多数据了";
			} else
				hasMore = true;
			if(response.message != 'nodata') {
				//				getZiZhiList(response.message[0].CompanyGuid, response.message[0].CompanyName);
				for(var i = 0; i < response.message.length; i++) {
					var li = '<li id="' + response.message[i].CompanyGuid + '" name="' + response.message[i].CompanyName + '">';
					li += '<a>';
					li += response.message[i].CompanyName;
					li += '</a></li>';
					table.innerHTML += li;
				}
			}
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络错误");
			console.log(errorThrown);
			plus.nativeUI.closeWaiting();
		}
	});
}

//根据主营资质和具备资质获取列表
function drawHtmlByOthers2(index, size) {
	plus.nativeUI.showWaiting("等待中...");
	var cells = document.body.querySelectorAll('.mui-table-view-cell');
	var Par_token = app.getState().token;
	var Par_deviceid = plus.device.uuid;
	var data = {
		method: 'GetCompanyListByCredentialsZHXZX',
		CredentialsName: self.CredentialsName,
		CredentialsLevel: self.CredentialsLevel,
		CredentialsName2: self.CredentialsName2,
		CredentialsLevel2: self.CredentialsLevel2,
		Yema: index,
		num: size,
		token: Par_token,
		device_id: Par_deviceid
	};
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			if(response.isnext == '0') { //判断有没有更多数据
				hasMore = false;
				document.getElementById("noMore").innerText = "没有更多数据了";
			} else
				hasMore = true;
			if(response.message != 'nodata') {
				//				getZiZhiList(response.message[0].CompanyGuid, response.message[0].CompanyName);
				for(var i = 0; i < response.message.length; i++) {
					var li = '<li id="' + response.message[i].CompanyGuid + '" name="' + response.message[i].CompanyName + '">';
					li += '<a>';
					li += response.message[i].CompanyName;
					li += '</a></li>';
					table.innerHTML += li;
				}
			}
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络错误");
			console.log(errorThrown);
			plus.nativeUI.closeWaiting();
		}
	});
}

mui('.mui-table-view-chevron').on('tap', 'li', function() {
	getZiZhiList(this.getAttribute('id'), this.getAttribute('name'));
})

//查询公司资质
function getZiZhiList(Guid, Name) {
	plus.nativeUI.showWaiting('获取配置中...');
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		ModelName: '资质查询',
		AreaName: localStorage["city"],
		Method: "GetAllModuleParam"
	};
	var url = config.ServerUrl + "BidAssistant/GoldCoin/GoldCoin_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data) {
				console.log(JSON.stringify(data));
				if(data.message.ParaContent) {
					var content = JSON.parse(data.message.ParaContent);
					coin = content.Money;
					startdate = content.FreeStartDate;
					enddate = content.FreeEndDate;
				}
				if(data.message.isVIP) {
					//					console.log("VIPss:"+data.message.isVIP);
					isVIP = eval(data.message.isVIP);
				}
				console.log("VIPss:" + data.message.isVIP + ";")
				if(localStorage["isFree"] == 'true' || isVIP == true || localStorage["isHuoDong"] == "true") {
					document.getElementById("ZGuid").value = Guid;
					document.getElementById("ZName").value = Name;
					GoldCoinConsumer("按资质类别查询");
					return;
				}
				if(parseInt(localStorage["coinnum"]) - 500 <= 0) {
					mui.toast("火币余额不足，请充值");
					mui.openWindow('../gouMaiJinBi/gouMaiJinBi.html', 'gouMaiJinBi');
					return;
				}
				var bts = ["确定", "取消"];
				plus.nativeUI.confirm("查询将花费500枚火币，当前火币余额" + toThousands(localStorage["coinnum"]) + "枚，请确认是否查询。", function(e) {
					if(bts[e.index] == "确定") {
						document.getElementById("ZGuid").value = Guid;
						document.getElementById("ZName").value = Name;
						GoldCoinConsumer("按资质类别查询");

					}
				}, "提示", bts);

				plus.nativeUI.closeWaiting();

			}
			plus.nativeUI.closeWaiting();

		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
		}
	});

}

function GoldCoinConsumer(ConsumerContent) {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GoldCoinConsumer",
		GoldCoin: 500,
		ConsumerContent: ConsumerContent
	};

	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {

				if(data.message[0].GoldCoin != undefined) {
					localStorage["coinnum"] = parseInt(localStorage["coinnum"]) + parseInt(data.message[0].GoldCoin);
					if(mui.os.android || localStorage["isFree"] != 'true')
						mui.toast("消费" + Math.abs(data.message[0].GoldCoin) + "枚火币");
					GetZZList(document.getElementById("ZGuid").value, document.getElementById("ZName").value);
				}

			} catch(e) {
				console.log(e.message)
			}

		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}

			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("火币消费读取失败！");
		}
	});
}

function GetZZList(Guid, Name) {
	document.getElementById("dvmsg").style.display = "none";
	document.getElementById("zzList").innerHTML = '<li class="liTitle">' + Name + '</li>';
	plus.nativeUI.showWaiting("等待中...");
	var cells = document.body.querySelectorAll('.mui-table-view-cell');
	var Par_token = app.getState().token;
	var Par_deviceid = plus.device.uuid;
	var data = {
		method: 'GetCompanyByguid',
		CompanyGuid: Guid,
		num: 1000,
		Yema: 1,
		token: Par_token,
		device_id: Par_deviceid
	};
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			document.getElementById("dvmsg").style.display = "none";
			document.getElementById("zzList").style.display = "block";
			if(response.message != 'nodata') {
				for(var i = 0; i < response.message.length; i++) {
					var li = '<li>';
					li += '<span class="spanTitle">' + response.message[i].CredentialsName + '</span>';
					li += '<span class="spantxt">' + response.message[i].CredentialsLevel + '</span>';
					li += '</li>';
					document.getElementById("zzList").innerHTML += li;
				}
			} else {
				var li = '<div style="width:100%;text-align: center;margin-top:5px;">暂无数据</div>';
				document.getElementById("zzList").innerHTML += li;
			}
			mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络错误");
			console.log(errorThrown);
			plus.nativeUI.closeWaiting();
		}
	});
}