mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh,
			contentdown: ''
		}
	}
});

var page = 1;
var hasMore = true;
var table = document.body.querySelector('.mui-table-view');
var self;
var method;

mui.plusReady(function() {

	self = plus.webview.currentWebview().parent();
	method = self.method;
	table.innerHTML = "";
	if(method == "getListByName") {
		drawHtmlByName(1, 15, self.CompanyName);
	} else if(method == "getListByZyzz") {
		drawHtmlByOthers1(1, 15);
	} else {
		drawHtmlByOthers2(1, 15);
	}
})

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	hasMore = true;
	page = 1;
	setTimeout(function() {
		table.innerHTML = "";
		if(method == "getListByName") {
			drawHtmlByName(1, 15, self.CompanyName);
		} else if(method == "getListByZyzz") {
			drawHtmlByOthers1(1, 15);
		} else {
			drawHtmlByOthers2(1, 15);
		}
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		document.getElementById("noMore").innerText = "上拉显示更多";
	}, 500);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {

	setTimeout(function() {
		if(hasMore == true) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);

		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			document.getElementById("noMore").innerText = "没有更多数据了";
		}
		if(method == "getListByName")
			drawHtmlByName(++page, 15, self.CompanyName);
		else if(method == "getListByZyzz") {
			drawHtmlByOthers1(++page, 15);
		} else {
			drawHtmlByOthers2(++page, 15);
		}
	}, 500);
}

//根据公司名称获取列表
function drawHtmlByName(index, size, keyword) {

	plus.nativeUI.showWaiting("等待中...");
	var cells = document.body.querySelectorAll('.mui-table-view-cell');
	var Par_token = app.getState().token;
	var Par_deviceid = plus.device.uuid;
	var data = {
		method: 'GetCompanyList',
		CompanyName: keyword,
		PageIndex: page,
		PageSize: size,
		token: Par_token,
		device_id: Par_deviceid
	};
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			if(response.RecordTotalNum > 0) {
				document.getElementById("companynum").innerText = response.RecordTotalNum;
			}
			//			if(response.isnext == '0') { //判断有没有更多数据
			//				hasMore = false;
			//				document.getElementById("noMore").innerText = "没有更多数据了";
			//			} else
			//				hasMore = true;
			var n1 = response.RecordTotalNum;

			var max = 0;
			if(n1 % size == 0)
				max = n1 / size;
			else
				max = n1 / size + 1;
			if(((index + 1) > max) || (n1 / size == 0)) { //判断有没有更多数据

				hasMore = false;
				document.getElementById("noMore").innerText = "没有更多数据了";
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
			} else {
				hasMore = true;
				mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
			}
			//			var li = '<div style="width:100%;text-align: center;margin-top:30px;color:#999;font-size:16px">请选择公司名称</div>';
			//			document.getElementById("zzList").innerHTML = li;
			//getZiZhiList(response.message[0].CompanyGuid, response.message[0].CompanyName);
			for(var i = 0; i < response.message.length; i++) {

				var li = '<li id="' + response.message[i].UnitGuid + '" name="' + response.message[i].CompanyName + '">';
				li += '<a>';
				li += response.message[i].CompanyName;
				li += '</a></li>';
				table.innerHTML += li;
			}

			//			}
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络错误");
			console.log(errorThrown);
			plus.nativeUI.closeWaiting();
		}
	});
}

//根据主营资质获取列表
function drawHtmlByOthers1(index, size) {

	plus.nativeUI.showWaiting("等待中...");
	var cells = document.body.querySelectorAll('.mui-table-view-cell');
	var Par_token = app.getState().token;
	var Par_deviceid = plus.device.uuid;
	var data = {
		method: 'GetCompanyListByCredentialsZX',
		CredentialsName: self.CredentialsName,
		CredentialsLevel: self.CredentialsLevel,
		Yema: index,
		num: size,
		token: Par_token,
		device_id: Par_deviceid
	};
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			if(response.isnext == '0') { //判断有没有更多数据
				hasMore = false;
				document.getElementById("noMore").innerText = "没有更多数据了";
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
			} else {
				hasMore = true;
				mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
			}

			if(response.message != 'nodata') {
				document.getElementById("companynum").innerText = response.TotalNum;
				//getZiZhiList(response.message[0].CompanyGuid, response.message[0].CompanyName);
				for(var i = 0; i < response.message.length; i++) {
					var li = '<li id="' + response.message[i].CompanyGuid + '" name="' + response.message[i].CompanyName + '">';
					li += '<a>';
					li += response.message[i].CompanyName;
					li += '</a></li>';
					table.innerHTML += li;
				}
			} else {
				document.getElementById("companynum").innerText = 0;

			}
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络错误");
			console.log(errorThrown);
			plus.nativeUI.closeWaiting();
		}
	});
}

//根据主营资质和具备资质获取列表
function drawHtmlByOthers2(index, size) {
	plus.nativeUI.showWaiting("等待中...");
	var cells = document.body.querySelectorAll('.mui-table-view-cell');
	var Par_token = app.getState().token;
	var Par_deviceid = plus.device.uuid;
	var data = {
		method: 'GetCompanyListByCredentialsZHXZX',
		CredentialsName: self.CredentialsName,
		CredentialsLevel: self.CredentialsLevel,
		CredentialsName2: self.CredentialsName2,
		CredentialsLevel2: self.CredentialsLevel2,
		Yema: index,
		num: size,
		token: Par_token,
		device_id: Par_deviceid
	};
	console.log(JSON.stringify(data));
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 100000, //超时时间设置为10秒；
		success: function(response) {
			if(response.isnext == '0') { //判断有没有更多数据
				hasMore = false;
				document.getElementById("noMore").innerText = "没有更多数据了";
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
			} else {
				hasMore = true;
				mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
			}

			if(response.message != 'nodata') {
				document.getElementById("companynum").innerText = response.TotalNum;
				//getZiZhiList(response.message[0].CompanyGuid, response.message[0].CompanyName);
				for(var i = 0; i < response.message.length; i++) {
					var li = '<li id="' + response.message[i].CompanyGuid + '" name="' + response.message[i].CompanyName + '">';
					li += '<a>';
					li += response.message[i].CompanyName;
					li += '</a></li>';
					table.innerHTML += li;
				}
			}
			//			else{
			//				document.getElementById("companynum").innerText=0;
			//			}
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络错误");
			console.log(errorThrown);
			plus.nativeUI.closeWaiting();
		}
	});
}

mui('.mui-table-view-chevron').on('tap', 'li', function() {
	getZiZhiList(this.getAttribute('id'), this.getAttribute('name'));
})

//查询公司资质
function getZiZhiList(Guid, Name) {
	document.getElementById("zzList").innerHTML = '<li class="liTitle">' + Name + '</li>';
	plus.nativeUI.showWaiting("等待中...");
	var cells = document.body.querySelectorAll('.mui-table-view-cell');
	var Par_token = app.getState().token;
	var Par_deviceid = plus.device.uuid;
	console.log(Guid);
	var data = {
		method: 'GetCompanyByguid',
		CompanyGuid: Guid,
		token: Par_token,
		device_id: Par_deviceid
	};
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			//		 	console.log(JSON.stringify(response));

			if(response.message != 'nodata') {
				var gourp = new Array();
				for(var i = 0; i < response.message.length; i++) {

					var CredentialsLevel = response.message[i].CredentialsLevel == '无' ? '' : response.message[i].CredentialsLevel;

					if(gourp.indexOf(response.message[i].CredentialsType) == -1 && response.message[i].CredentialsType != null && response.message[i].CredentialsType != '') {
						var li = '<li>';
						li += '<span class="spanTitle_Group">[' +
							response.message[i].CredentialsType + ']</span>';
						li += '</li>';
						document.getElementById("zzList").innerHTML += li;
						gourp.push(response.message[i].CredentialsType);
					}
					var li = '<li>';
					li += '<span class="spanTitle spanzz">' + response.message[i].CredentialsName + '</span>';
					li += '<span class="spantxt">' + CredentialsLevel + '</span>';
					li += '</li>';

					document.getElementById("zzList").innerHTML += li;

				}
			} else {

				var li = '<div style="width:100%;text-align: center;margin-top:5px;">暂无资质数据</div>';
				document.getElementById("zzList").innerHTML += li;
			}
			
			var li = '<div class="jgDiv"></div>';
				document.getElementById("zzList").innerHTML += li;
			
			var html = '<li><span class="spanTitle1">注册资金</span><span class="spantxt2">' + (response.RegisteredMoney == undefined ? '' : (response.RegisteredMoney + '万元')) + '</span></li>';
			html += '<li><span class="spanTitle1">所属地区</span><span class="spantxt2">' + response.Area + '</span></li>';
			html += '<li><span class="spanTitle1">企业法人</span><span class="spantxt2">' + response.CompanyLegalPerson + '</span></li>';
			html += '<li><span class="spanTitle1">法人状态</span><span class="spantxt2">' + response.LegalStatus + '</span></li>';

			html += '<li><span class="spanTitle1">信用分</span><span class="spantxt2">' + response.CreditScore + '</span></li>';
			html += '<li><span class="spanTitle2">信用分条件</span><span class="spantxt3">' + response.CreditCondition + '</span></li>';
			html += '<li><span class="spanTitle2">信用手册有效期</span><span class="spantxt3">' + response.CreditValidDate + '</span></li>';
			html += '<li><span class="spanTitle3">安全生产许可证许可范围</span><span class="spantxt4">' + response.SafeFanWei + '</span></li>';
			html += '<li><span class="spanTitle3">安全生产许可证有效期</span><span class="spantxt4">' + response.SafeValidDate + '</span></li>';
			if(response.Url != "") {
				html += '<li class="hrefLi"><a class="button_a" href="' + response.Url + '">查看备案信息</a></li>';
			}

			document.getElementById("zzList").innerHTML += html;
			mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络错误");
			console.log(errorThrown);
			plus.nativeUI.closeWaiting();
		}
	});
}